Package com.avaya.clientservices.provider.certificate

## Class AppCertificateStoreNotInUseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.avaya.clientservices.provider.certificate.CertificateStoreException
        - - com.avaya.clientservices.provider.certificate.AppCertificateStoreNotInUseException

- All Implemented Interfaces:
    `java.io.Serializable`

      public final class AppCertificateStoreNotInUseException
      extends CertificateStoreException

  Certificate store exception indicates an absence of the private trust store therefore private trust store management operations are disallowed.
  See Also:
    `AppCertificateStoreException`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AppCertificateStoreNotInUseException()` | Constructs a new exception with Application Certificate store is not in use as in-built error message as its detail message.
    `AppCertificateStoreNotInUseException​(java.lang.Throwable cause)` | Constructs a new exception with specific `cause`.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AppCertificateStoreNotInUseException

          public AppCertificateStoreNotInUseException()

      Constructs a new exception with Application Certificate store is not in use as in-built error message as its detail message.

    - #### AppCertificateStoreNotInUseException

          public AppCertificateStoreNotInUseException​(java.lang.Throwable cause)

      Constructs a new exception with specific `cause`.
      Parameters:
        `cause` - the exception causing this one